[jira] [Created] (DELTASPIKE-1351) Java 10: IllegalArgumentException in ClassReader.<init>

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Created] (DELTASPIKE-1351) Java 10: IllegalArgumentException in ClassReader.<init>

JIRA jira@apache.org
Florian Lieb created DELTASPIKE-1351:
----------------------------------------

             Summary: Java 10: IllegalArgumentException in ClassReader.<init>
                 Key: DELTASPIKE-1351
                 URL: https://issues.apache.org/jira/browse/DELTASPIKE-1351
             Project: DeltaSpike
          Issue Type: Bug
          Components: Proxy-Module
    Affects Versions: 1.8.2
            Reporter: Florian Lieb


With java10, we get an exception
{code:java}
Caused by: java.lang.IllegalArgumentException
at org.apache.deltaspike.proxy.asm.ClassReader.<init>(ClassReader.java:160)
at org.apache.deltaspike.proxy.asm.ClassReader.<init>(ClassReader.java:143)
at org.apache.deltaspike.proxy.asm.ClassReader.<init>(ClassReader.java:418)
at org.apache.deltaspike.proxy.impl.AsmDeltaSpikeProxyClassGenerator.generateProxyClassBytes(AsmDeltaSpikeProxyClassGenerator.java:154)
... 51 more

at org.jboss.weld.bootstrap.events.AbstractDefinitionContainerEvent.fire(AbstractDefinitionContainerEvent.java:44)
at org.jboss.weld.bootstrap.events.AfterBeanDiscoveryImpl.fire(AfterBeanDiscoveryImpl.java:61)
at org.jboss.weld.bootstrap.WeldStartup.deployBeans(WeldStartup.java:420){code}
 

Since ASM is shaded within deltaspike-proxy-asm, it is impossible to update ASM to a more recent version.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)